Package org.apache.commons.codec.digest

# Class XXHash32

java.lang.Object
org.apache.commons.codec.digest.XXHash32

All Implemented Interfaces:
  `Checksum`

public class XXHash32 extends Object implements Checksum
Implements the xxHash32 hash algorithm.

Copied from Commons Compress 1.14 https://gitbox.apache.org/repos/asf?p=commons-compress.git;a=blob;f=src/main/java/org/apache/commons/compress/compressors/lz4/XXHash32.java;h=a406ffc197449be594d46f0d2712b2d4786a1e68;hb=HEAD

NotThreadSafe

Since:
  1.11
See Also:
  - xxHash

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XXHash32()`
  Creates an XXHash32 instance with a seed of 0.
  `XXHash32(int seed)`
  Creates an XXHash32 instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getValue()`
  `void`
  `reset()`
  `void`
  `update(byte[] b, int off, int len)`
  `void`
  `update(int b)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XXHash32

    public XXHash32()
    Creates an XXHash32 instance with a seed of 0.

  - ### XXHash32

    public XXHash32(int seed)
    Creates an XXHash32 instance.
    Parameters:
      `seed` - the seed to use

- ## Method Details

  - ### getValue

    public long getValue()
    Specified by:
      `getValue` in interface `Checksum`

  - ### reset

    public void reset()
    Specified by:
      `reset` in interface `Checksum`

  - ### update

    public void update(byte[] b, int off, int len)
    Specified by:
      `update` in interface `Checksum`

  - ### update

    public void update(int b)
    Specified by:
      `update` in interface `Checksum`